#ifndef _Handle_PShort_HSequenceOfShortReal_HeaderFile
#define _Handle_PShort_HSequenceOfShortReal_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_Standard_Persistent_HeaderFile
#include <Handle_Standard_Persistent.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(Standard_Persistent);
class PShort_HSequenceOfShortReal;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PShort_HSequenceOfShortReal);

class Handle(PShort_HSequenceOfShortReal) : public Handle(Standard_Persistent) {
  public:

    Handle(PShort_HSequenceOfShortReal)():Handle(Standard_Persistent)() {} 
    Handle(PShort_HSequenceOfShortReal)(const Handle(PShort_HSequenceOfShortReal)& aHandle) : Handle(Standard_Persistent)(aHandle) 
     {
     }

    Handle(PShort_HSequenceOfShortReal)(const PShort_HSequenceOfShortReal* anItem) : Handle(Standard_Persistent)((Standard_Persistent *)anItem) 
     {
     }

    Handle(PShort_HSequenceOfShortReal)& operator=(const Handle(PShort_HSequenceOfShortReal)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PShort_HSequenceOfShortReal)& operator=(const PShort_HSequenceOfShortReal* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PShort_HSequenceOfShortReal* operator->() const 
     {
      return (PShort_HSequenceOfShortReal *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PShort_HSequenceOfShortReal) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
